<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_dloc.inc.php");
include_once("../inc/fic_loc.inc.php");
include_once("../inc/fic_st.inc.php");
include_once("../inc/fic_tec.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
Archivelog(@$_SESSION["code_log"]);

$ta = strip_tags(trim($_GET['ta'])); // Source de l'appel m:depuis le menu, l:depuis une location
$td = strip_tags(trim($_GET['td'])); // Récupération type demande
$tc = intval(strip_tags(trim($_GET['tc']))); // Récupération type client
$cc = strip_tags(trim($_GET['cc'])); // Récupération code Client
$cl = strip_tags(trim($_GET['cl'])); // Récupération code Location
$ca = strip_tags(trim($_GET['ca'])); // Récupération code agence
if ($ta=="l")
{
	if (isset($_GET['fi']) && (trim($_GET['fi'])<>""))
		$fi=intval(strip_tags(trim($_GET['fi']))); 
	else
		$fi=1; // Dépôt principal seulement ? (0=non, 1=oui -> défaut)
}
else
{
	$fi="";
	if (isset($_GET['fi']) && (trim($_GET['fi'])<>""))
		$fi=intval(strip_tags(trim($_GET['fi']))); 
}
if (isset($_GET["dd"]))
	$dd=strip_tags(trim(@$_GET["dd"]));
else
	$dd="";
if (isset($_GET["hd"]))
	$hd=strip_tags(trim(@$_GET["hd"]));
else
	$hd="00:05";
if (isset($_GET["df"]))
	$df=strip_tags(trim(@$_GET["df"]));
else
	$df="";
if (isset($_GET["hf"]))
	$hf=strip_tags(trim(@$_GET["hf"]));
else
	$hf="00:05";
$pbm_pdt=FALSE;

if (($ta<>"l") AND ($ta<>"m"))
	$pbm_pdt=TRUE;

if ($ta=="l")
{
	if (($fi<>0) AND ($fi<>1))
		$pbm_pdt=TRUE;
}
else
{
	if (($fi<0) OR ($fi>4))
		$pbm_pdt=TRUE;
}
	
if (($tc<0) OR ($tc>4))
	$pbm_coloc=TRUE;
	
if ($pbm_pdt==FALSE)
{
	if ($ta=="l")
	{
		if ($ca<> "")
		{
			// Contrôle qu'une agence n'essaye pas de "hacker" un contrat
			if (((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3)) AND ($ca <> @$_SESSION["code_age"]))
				$pbm_coloc = TRUE;
		}
		else
			$ca=@$_SESSION["code_age"];
		
		if ($cl <> "")
		{
			$row=lit_enr_coloc($cl);
			if (is_array($row))
			{
				extract($row);
				if ($coloc_dateclos="0000-00-00")
				{
					$coloc_datedebf = formatedate($coloc_datedeb);
					$coloc_datefinf = formatedate($coloc_datefin);
					
					// Contrôle qu'un client n'essaye pas de "hacker" un contrat
					if ((@$_SESSION["niv_log"] == 1) AND ($coloc_codecli <> @$_SESSION["code_log"]))
						$pbm_pdt = TRUE;
					// Contrôle qu'une agence n'essaye pas de "hacker" un contrat
					if (((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3)) AND ($coloc_codeage <> @$_SESSION["code_age"]))
						$pbm_pdt = TRUE;
				}
				else
					$pbm_pdt=TRUE;
			}
			else
				$pbm_pdt=TRUE;
		}
		else
			$pbm_pdt=TRUE;
	
		if ($cc <>"")
		{
			// Contrôle qu'un client n'essaye pas de "hacker" un contrat
			if ((@$_SESSION["niv_log"] == 1) AND ($cc <> @$_SESSION["code_log"]))
				$pbm_pdt = TRUE;
		
			switch ($tc)
			{
				case 0 :
					$row = lit_enr_cli($cc,TRUE);
					if (is_array($row))
					{
						extract ($row);
						// Contrôle qu'une agence n'essaye pas de "hacker" un contrat
						switch(@$_SESSION["niv_log"])
						{
							case 3 :
							case 4 :
								if (client_age_ok($cli_code,@$_SESSION["code_age"],TRUE)==FALSE)
									$pbm_pdt = TRUE;
								break;
							default :
								break;
						}
					}
					else
						$pbm_pdt = TRUE;
					break;
				case 1 :
					$row = lit_enr_age($cc,TRUE);
					if (is_array($row))
						extract ($row);
					else
						$pbm_pdt = TRUE;
					break;
				case 2 :
				case 4 :
					$row = lit_enr_tec($cc,TRUE);
					if (is_array($row))
						extract ($row);
					else
						$pbm_pdt = TRUE;
					break;
				case 3 :
					$row = lit_enr_st($cc,TRUE);
					if (is_array($row))
						extract ($row);
					else
						$pbm_pdt = TRUE;
					break;
				default :
					$pbm_pdt=TRUE;
					break;
			}
		}
	}
	else
		$ca=@$_SESSION["code_age"];
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Liste Produits &agrave; Louer</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

<?PHP if ($ta=="l") { ?>
<!-- Scripts Javascript pour vérifications -->
<script language="JavaScript" src="../jscript/verif_form.js"></script>

<!-- Définition Javascript pour calendrier popup -->
  <!-- Feuille de Style -->
  <link rel="stylesheet" type="text/css" media="all" href="../jscript/jscal/skins/aqua/theme.css" title="Aqua" />

  <!-- Script Javascript Principal -->
  <script type="text/javascript" src="../jscript/jscal/calendar.js"></script>

  <!-- Choix du langage -->
  <script type="text/javascript" src="../jscript/jscal/lang/calendar-<?PHP echo $_SESSION["lng"]; ?>.js"></script>

  <!-- the following script defines the Calendar.setup helper function, which makes
       adding a calendar a matter of 1 or 2 lines of code. -->
  <script type="text/javascript" src="../jscript/jscal/calendar-setup.js"></script>
<!-- Fin de la définition Javascript pour calendrier popup -->

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<script language="javascript">
<!--
var tab1_champ=new Array(
	"nom:dd ; format:date ; masque:<?PHP echo $datemsql; ?> ; req:Y ; txt:Date début ; vmn:<?PHP echo $coloc_datedebf; ?> ; stok:frmok ; stbad:frmbad",
	"nom:df ; format:date ; masque:<?PHP echo $datemsql; ?> ; req:Y ; txt:Date fin ; vmx:<?PHP echo $coloc_datefinf; ?> ; stok:frmok ; stbad:frmbad");
//-->
</script>
<?PHP } ?>

</head>

<body onLoad="metFocus();">

<?php 
if ($ta == "m") 
	include_once("../inc/entete.inc.php");
?>
<p align="center"><span class="titrepage">LISTE DES PRODUITS A LOUER</span></p>
<?PHP 
if ($pbm_pdt==FALSE) {

if ($ta=="l") { ?>
<div align="center">
<span class="titre_gras">Choisissez un article pour la location <?php echo $cl; ?></span><br />
<span class="titre_gras">
<?PHP 
if ($fi==0)
	echo "Sur tous les d&eacute;p&ocirc;ts";
else
	echo "Sur le d&eacute;p&ocirc;t de l'agence ".$ca;
?>
</span><br />
<span class="titre_gras">Disponible entre le <?php echo $dd; ?> et le <?php echo $df; ?></span><br />
<span class="annot_petit_it">Hors article(s) d&eacute;j&agrave; saisi(s) dans cette location</span>
</div>
<p align="center">
<input type="button" class="bton_std" name="button" value="Revenir &agrave; la saisie en cours" onClick="javascript:; self.close('fscomp');">
</p>
<?php 
	$tab_fi[]="Louables sur tous les dépôts";
	$tab_fi[]="Louables sur dépôt principal";
}
else
{
	$tab_fi[]="Tous les articles";
	$tab_fi[]="Articles louables";
	$tab_fi[]="Articles non louables";
	$tab_fi[]="Articles loués";
	$tab_fi[]="Articles à louer";
	if (@$_SESSION["niv_log"] >= 4)
	{
		$fic_imp = "pdtloc_lsti.php";
		$url_add = "pdtloc_maj.php?td=add&code=";
	}
	else
	{
		$fic_imp = "";
		$url_add = "";
	}
}

$iddloc=id_dloc_page($ca,TRUE);

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);
if ($ta == "l")
{
	$rech = cree_strrechlstrpdtcl();
	switch ($fi)
	{
		case 1 :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE pdtloc_iddloc=".$iddloc;
			else
				$rech .= " AND pdtloc_iddloc=".$iddloc;
			break;
		default :
			break;
	}
	$rech .= crestr_triord($pdtcloc_titre_col,"pdtloc_code",FALSE,$limit);
}
else
{
	$rech = cree_strrechlstrpdtl();
	switch ($fi)
	{
		case 1 :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE pdtloc_louable='1'";
			else
				$rech .= " AND pdtloc_louable='1'";
			break;
		case 2 :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE pdtloc_louable='0'";
			else
				$rech .= " AND pdtloc_louable='0'";
			break;
		case 3 :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE pdtloc_loue='1'";
			else
				$rech .= " AND pdtloc_loue='1'";
			break;
		case 4 :
			if(!stristr($rech,"WHERE "))
				$rech .= " WHERE pdtloc_loue='0'";
			else
				$rech .= " AND pdtloc_loue='0'";
			break;
		default :
			break;
	}
	$rech .= crestr_triord($pdtloc_titre_col,"pdtloc_code",FALSE,$limit);
}
$rs = mysql_query($rech) or die(mysql_error());
$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête

if($numrows == 0)
{
	retpp();
	if ($ta=="l")
	{
		if (!isset($_GET['search']))
		{
			echo "<br />";
			$lnk_autre=str_replace("fi=1","fi=0",$_SERVER['REQUEST_URI']);
			echo "<a href=\"".$lnk_autre."\">";
			echo "Voir sur tous les d&eacute;p&ocirc;ts";
			echo "</a>";
		}
	}
}
else
{
	$afflst=TRUE;
	if ($ta == "l")
	{
		$gdd = getTimeStamp($dd." ".$hd.":00");
		$gdf = getTimeStamp($df." ".$hf.":00");
		if ($gdd==$gdf)
			$afflst=FALSE;
	}

	if ($ta == "l")
		include_once("formrl.inc.php"); 
	else
		include_once("formr.inc.php"); 

	if ($afflst==TRUE)
	{
		if ($ta == "l")
		{
			$rech = cree_strrechlstrpdtcl();
			switch ($fi)
			{
				case 1 :
					if(!stristr($rech,"WHERE "))
						$rech .= " WHERE pdtloc_iddloc=".$iddloc;
					else
						$rech .= " AND pdtloc_iddloc=".$iddloc;
					break;
				default :
					break;
			}
			$rech .= crestr_triord($pdtcloc_titre_col,"pdtloc_code",TRUE,$limit);
		}
		else
		{
			$rech = cree_strrechlstrpdtl();
			switch ($fi)
			{
				case 1 :
					if(!stristr($rech,"WHERE "))
						$rech .= " WHERE pdtloc_louable='1'";
					else
						$rech .= " AND pdtloc_louable='1'";
					break;
				case 2 :
					if(!stristr($rech,"WHERE "))
						$rech .= " WHERE pdtloc_louable='0'";
					else
						$rech .= " AND pdtloc_louable='0'";
					break;
				case 3 :
					if(!stristr($rech,"WHERE "))
						$rech .= " WHERE pdtloc_loue='1'";
					else
						$rech .= " AND pdtloc_loue='1'";
					break;
				case 4 :
					if(!stristr($rech,"WHERE "))
						$rech .= " WHERE pdtloc_loue='0'";
					else
						$rech .= " AND pdtloc_loue='0'";
					break;
				default :
					break;
			}
			$rech .= crestr_triord($pdtloc_titre_col,"pdtloc_code",TRUE,$limit);
		}
		$rs = mysql_query($rech) or die(mysql_error());
		
		// *** Pagination de début
		pagine_lst($numrows,$limit);
	
		// *** Affichage de la table
		echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     
		
		// Création entête
		
		if ($ta == "l")
			titlst($pdtcloc_titre_col);	
		else
			titlst($pdtloc_titre_col);	
		echo "<th>".ucfirst($txt_ent_lst_clic)."</th>\n";
		
		$i = 0;
		$pdtlouables = FALSE;
			
		while ($row = mysql_fetch_assoc($rs)) 
		{         
			// On vérifie que le produit n'est pas déjà utilisé dans le contrat
			$rech2 = "SELECT * FROM `" .TBPDTL. "` WHERE `pdtl_codepdtloc` = '".$row["pdtloc_code"]."' AND `pdtl_codecoloc` = '".$cl."'";
			$rs2 = mysql_query($rech2)or die(mysql_error());
			if (mysql_num_rows($rs2) == 0)
			{
				$affok=TRUE;
				if ($ta=='l')
				{
					if (pdtloc_dispo($row["pdtloc_code"],$dd,$hd.':00',$df,$hf.':00',FALSE)==FALSE)
						$affok=FALSE;
				}
				
				if ($affok==TRUE)
				{
					$pdtlouables=TRUE;
					
					// Création de l'entête de ligne (TR)
					creetrlst($i);
					
					echo "<td>";
					echo $row["pdtloc_code"];
					if ($ta == "l")
					{
						if ($fi==0)
						{
							if ($row["pdtloc_iddloc"]==$iddloc)
								echo " <img src=\"../img/dp.png\" border=\"0\" align=\"absmiddle\" title=\"D&eacute;p&ocirc;t principal agence\">";
							else
							{
								echo "<div align=\"right\" class=\"annot_upetit\">";
								echo $row["dloc_nom"];
								if ($row["dloc_codeage"]<>"")
									echo " (agence ".$row["dloc_codeage"].")";
								echo "</div>";
							}
						}
					}
					else
					{
						if ($row["pdtloc_iddloc"]==$iddloc)
							echo " <img src=\"../img/dp.png\" border=\"0\" align=\"absmiddle\" title=\"Dans votre d&eacute;p&ocirc;t de location\">";
						else
						{
							echo "<div align=\"right\" class=\"annot_upetit\">";
							echo $row["dloc_nom"];
							if ($row["dloc_codeage"]<>"")
								echo " (agence ".$row["dloc_codeage"].")";
							echo "</div>";
						}
					}
					echo "</td>\n";
					echo "<td>";
					echo $row["pdtloc_fam"];
			
					// Détail famille
					echo "<br>";
					echo "<span class=\"annot_petit_it\">";
					$txt = "(".formatetxt($row["fam_desc"]).")";
					echo htmlspecialchars($txt,ENT_NOQUOTES);
					echo "</span>";
			
					echo "</td>\n";
					echo "<td>";
					echo $row["pdtloc_des"];
					echo "</td>\n";
					echo "<td>";
					echo $row["pdtloc_ns"];
					echo "</td>\n";
					if ($ta <> "l")
					{
						echo "<td>";
						echo "<div align=\"center\">";
						echo $non_oui[$row["pdtloc_louable"]];
						echo "</div>";
						echo "</td>\n";
						echo "<td>";
						echo "<div align=\"center\">";
						echo $non_oui[$row["pdtloc_loue"]];
						if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9) OR (((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3))AND ($row["pdtloc_iddloc"]==$iddloc)))
						{
							if ($row["pdtloc_loue"]==TRUE)
							{
								echo "<div class=\"annot_upetit\">";
								$rech2 = "SELECT ".TBPDTL.".pdtl_codecoloc, ".TBCOLOC.".coloc_codecli FROM ".TBPDTL.", ".TBCOLOC;
								$rech2.= " WHERE ".TBPDTL.".pdtl_codepdtloc = '".$row["pdtloc_code"]."'";
								$rech2.= " AND ".TBPDTL.".pdtl_datedep <> '0000-00-00'";
								$rech2.= " AND ".TBPDTL.".pdtl_dateret = '0000-00-00'";
								$rech2.= " AND ".TBPDTL.".pdtl_codecoloc = ".TBCOLOC.".coloc_code";
								$rs2 = mysql_query($rech2)or die(mysql_error());
								if (mysql_num_rows($rs2) > 0)
								{
									if ($row2 = mysql_fetch_assoc($rs2))
										echo $row2["coloc_codecli"]." (".$row2["pdtl_codecoloc"].")";
								}
								echo "</div>";
							}
						}
						echo "</div>";
						echo "</td>\n";
					}
				
					// CREATION lien dynamique sur icône (édition, suppression, etc...)
					if ($ta == "l")
					{
						$lst_coloc = TRUE;
				
						 echo "<td>";
						 echo "<div align=\"center\">";
						 echo "<a href=\"pdtl_maj.php?td=add&cl=".$cl."&ca=".$row["pdtloc_code"]."&dd=".$dd."&hd=".$hd."&df=".$df."&hf=".$hf."\"><img src=\"../img/coloc.png\" border=\"0\" align=\"absmiddle\" title=\"Ajouter\"></a>";
						 echo "</div>";
						 echo "</td>\n";
					}
					else
					{
						echo "<td>";
						echo "<div align=\"center\">";
						$voir=FALSE;
						if (@$_SESSION["niv_log"] == 4)
						{
							if ($iddloc==-1)
								$voir=TRUE;
							else
								if ($iddloc<>$row["pdtloc_iddloc"])
									$voir=TRUE;
						}
						if (@$_SESSION["niv_log"] == 3)
							$voir=TRUE;
						
						if ($voir==FALSE)
						{
							$lst_maj = TRUE;
							echo "<a href=\"pdtloc_maj.php?td=edit&code=".$row["pdtloc_code"]."\"><img src=\"../img/edit.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_edit."\"></a>";
							echo " ";
							$lst_del = TRUE;
							echo "<a href=\"pdtloc_maj.php?td=del&code=".$row["pdtloc_code"]."\"><img src=\"../img/del.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_del."\"></a>";
						}
						else
						{
							$lst_voir = TRUE;
							echo "<a href=\"pdtloc_maj.php?td=view&code=".$row["pdtloc_code"]."\"><img src=\"../img/eye.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_voir."\"></a>";
						}
						echo "</div>";
						echo "</td>\n";
					}
				
					echo "</tr>\n";
					
					$i++;
				}
			}
		}  
		echo "</table>\n";
		// *** Fin affichage de la table
	
		mysql_free_result($rs);
		mysql_close($conn);  
	
		if ($ta=="l")
		{
			if ($pdtlouables==FALSE)
			{
				echo '<span class="annot_petit_it">Aucun produit &agrave; louer sur ces crit&egrave;res</span>';
			}
		}	

		// *** Pagination de pied
		pagine_lst($numrows,$limit);
	
		$taille_piedla="";
		include_once("piedla.inc.php");
	}
	else
				echo '<span class="annot_petit_gras">Merci de choisir une p&eacute;riode de location</span>';
}
}
else
{
?>
<script type="text/javascript">
<!--
setTimeout("self.location.href=('index.php');",2000)
//-->
</script>
<p align="center" class="annot_std_it"><?PHP echo $alert_prm; ?>...</p>
<?PHP
}

if ($ta == "m")
	include_once("pied.php");
?>
